Get all dashboard notifications
curl --request GET \
--url https://api.vantage.sh/v2/dashboard_notifications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/dashboard_notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/dashboard_notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vantage.sh/v2/dashboard_notifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vantage.sh/v2/dashboard_notifications"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vantage.sh/v2/dashboard_notifications")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vantage.sh/v2/dashboard_notifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"links": {
"self": "https://api.vantage.sh/v2/dashboard_notifications",
"first": "https://api.vantage.sh/v2/dashboard_notifications?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/dashboard_notifications?page=1",
"prev": null
},
"dashboard_notifications": [
{
"token": "rprtbl_ntfctn_63290c754f7952a7",
"title": "Test Reportable Notification",
"dashboard_token": "dshbrd_d7f2d3999d3bb676",
"workspace_token": "wrkspc_76436cad5fe4cfe7",
"user_tokens": [
"usr_64893b0adb058048"
],
"recipient_emails": [
"sen.alva.gleichner@wiza.io"
],
"frequency": "weekly"
}
]
}DashboardNotifications
Get all dashboard notifications
Return all DashboardNotifications.
GET
/
dashboard_notifications
Get all dashboard notifications
curl --request GET \
--url https://api.vantage.sh/v2/dashboard_notifications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/dashboard_notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/dashboard_notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vantage.sh/v2/dashboard_notifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vantage.sh/v2/dashboard_notifications"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vantage.sh/v2/dashboard_notifications")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vantage.sh/v2/dashboard_notifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"links": {
"self": "https://api.vantage.sh/v2/dashboard_notifications",
"first": "https://api.vantage.sh/v2/dashboard_notifications?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/dashboard_notifications?page=1",
"prev": null
},
"dashboard_notifications": [
{
"token": "rprtbl_ntfctn_63290c754f7952a7",
"title": "Test Reportable Notification",
"dashboard_token": "dshbrd_d7f2d3999d3bb676",
"workspace_token": "wrkspc_76436cad5fe4cfe7",
"user_tokens": [
"usr_64893b0adb058048"
],
"recipient_emails": [
"sen.alva.gleichner@wiza.io"
],
"frequency": "weekly"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- https://console.vantage.sh/account/profile
Scopes1
read
Grants read access
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000.
Search dashboard notifications by title.